# Interface JmolToJSmolInterface

All Superinterfaces:
  `J2SObjectInterface`

public interface JmolToJSmolInterface extends J2SObjectInterface
methods in JSmol JavaScript accessed in Jmol

## Method Summary

Modifier and Type
Method
Description
`GenericImageDialog`
`consoleGetImageDialog(Viewer vwr, String title, Map<String, GenericImageDialog> imageMap)`
`Object`
`loadImage(GenericPlatform platform, String echoName, String path, byte[] bytes, Object f)`
`void`
`playAudio(JSmolAppletObject applet, Map<String,Object> htParams)`
`void`
`setCursor(JSmolAppletObject html5Applet, int c)`

### Methods inherited from interface J2SObjectInterface

`applyFunc, clearConsole, doAjax, doAjax, getHiddenCanvas, isBinaryUrl, loadFileAsynchronously, newGrayScaleImage, repaint, resizeApplet, saveImage, setCanvasImage, showInfo`

## Method Details

### loadImage

Object loadImage(GenericPlatform platform, String echoName, String path, byte[] bytes, Object f)

### consoleGetImageDialog

GenericImageDialog consoleGetImageDialog(Viewer vwr, String title, Map<String, GenericImageDialog> imageMap)

### setCursor

void setCursor(JSmolAppletObject html5Applet, int c)

### playAudio

void playAudio(JSmolAppletObject applet, Map<String,Object> htParams)